<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Wireless :: U.S. Robotics Wireless MAXg Range Extender</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5441.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
var ix = "<% nvram_get("wl_country_code"); %>";
var sites = new Array(<% wl_scan(); %>);
var auth = "<% nvram_get("cbAuthEncrypt"); %>";
var bSecure = true;
if (auth == "none")
	bSecure = false;

function initializePage()
{
	var strSiteSelected = "<% nvram_list("wl_wds", 0); %>";
	var wdslist = "<% nvram_list("wl_wds", 1); %>";
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	var strSSID = "<% nvram_get("wl_ssid"); %>";
	var iChannel = <% nvram_get("wl_channel"); %>;
	var bSecure = true;
	
	if (auth == "none")
		bSecure = false;
	initializeSurveyPage(strSiteSelected, strSSID, iChannel, bSecure);
	
	// only select this if the table has more than one entry
	if (wdslist != "")
		document.idForm.chkWDSrestrict.checked = true;
	setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked);
	tableInitializeWDS();

	changeAcceleration();
	manageSupportedRates();
}

function validatePage()
{
	/*
		Translate repeater values to what the backend needs.
	*/
	var security = document.getElementById("chkSecure");
	var other = document.getElementById("other");
	
	if (other.checked)
		document.idForm.txtMACaddress.value = document.idForm.txtMACaddressAP.value;
	else
		document.idForm.txtMACaddress.value = getSelectedSite();
	tableAddRowWDS(1);
		
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		if (isWPAselected(ixSecurity))
		{
			document.idForm.cbAuthEncrypt.value = "wpa";
			if (ixSecurity == 0)
				document.idForm.cbEncryption.value = "aes";
			else if (ixSecurity == 1)
				document.idForm.cbEncryption.value = "tkip";
		}
		else if (isWEPselected(ixSecurity))
		{
			if (ixSecurity == 2)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 3)
				document.idForm.cbAuthEncrypt.value = "shared";
		}
	}
	
	return true;
}

//-->
</script>
</head>

<body onload="initializePage();" onbeforeunload="verifyDeparture();">

<script>
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<b>Save</b> button at the bottom of the page.
	</p>

	<h1>Extend Network</h1>
	<p>You can specify the wireless router or access point whose range you want
	to extend by selecting it in the list of detected networks or by entering
	its information manually.
	Only devices that support WDS are supported by the <i>MAX</i>g Range Extender.
	The list indicates the devices that are known to support WDS;
	a question mark (?) indicates that it&rsquo;s uncertain whether
	the device supports WDS.
	</p>

	<p>If your wireless network isn&rsquo;t in the list of detected wireless
	networks, it may be because the access point isn&rsquo;t broadcasting
	its network name or the range extender is outside the coverage area.
	In this case, you can enter its network name, MAC address, and channel manually.
	</p>

	<p>To ensure the range extender is within the access point&rsquo;s
	coverage area, configure the access point to broadcast the network name.
	Then re-position the range extender, press the <b>Scan</b> button, and check
	to see if your network is now displayed in the list of detected networks.
	</p>

   <p>Please see your access point&rsquo;s documentation for how to determine
   its wireless MAC address.
   </p>

	<p>The network name is sometimes called the SSID.</p>

	<p>If your access point wasn&rsquo;t detected because it was turned off,
	you can turn it on and press the <b>Scan</b> button to try and detect it again.
   </p>

	<h1>Broadcast</h1>
	<p>If the range extender broadcasts the network name, any wireless device can
	find out what it is and connect to the range extender, unless you set further
	security measures, such as encryption, on the <a href="security.asp">Security</a> page.
	You can disable broadcast so that someone will need to enter the network name
	for a client to connect to the range extender.
	</p>

	<h1>Wireless Security</h1>
	<p>The security settings of the range extender must match the ones specified
	on your wireless router or access point&mdash;the one whose range is being extended.
	Please refer to that device to determine the correct settings.
	</p>

	<p>Please note that the range extender does not support 802.1x (RADIUS).
	</p>

</div>


<form name="idForm" action="wireless.asp" method="post">
<input type="hidden" name="page" value="wireless.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_radio" value="1"> 
<input type="hidden" name="wl_mode" value="ap">
<input type="hidden" name="wl_wme" value="off">
<input type="hidden" name="wl_closed" value="1">
<input type="hidden" name="wl_gmode_protection" value="off">
<input type="hidden" name="cbAuthEncrypt" value="none">
<input type="hidden" name="cbEncryption" value="none">
<input type="hidden" name="wl_key" value="1">


<h3>Extend Network</h3>

<div id="idNoAPs" class="clsNotice">
	The U.S. Robotics Wireless <i>MAX</i>g Range Extender was unable to detect
	any wireless routers or access points.
	Please ensure that your wireless router or access point is connected
	properly and turned on and press the <b>Scan</b> button to try again.
</div>

<p id="idFoundAPs">Please select a wireless network (an access point or
wireless router that supports WDS) from the list of detected networks
or enter its information manually.</p>

<p id="idNotDetected" class="clsNotice" style="display: none;">The specified wireless network was not detected.
The range extender may be outside its coverage area,
or the network may not be broadcasting its network name.</p>

<script type="text/javascript">
	buildSiteSurveyTable(sites, ix);
</script>

<p><input type="button" name="action" value="Scan" class="clsSmall" onclick="document.location.href='wireless.asp';"></p>

<h3>Broadcast Network Name</h3>
	
<p>In order to hide your range extender from new wireless devices, you can
tell the range extender to stop broadcasting the network name.</p>

<p><input type="checkbox" id="wl_closed" name="wl_closed" value="0" <% nvram_match("wl_closed", "0", "checked"); %> onclick="bDirty = true;"> <label for="wl_closed">Broadcast network name</label></p>


<h3>Security</h3>

<div id="idInsecure">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual">
	<p>The range extender cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td><label for="cbSecurity">Method:</label></td>
		<td><select id="cbSecurity" name="cbSecurity" onchange="onSecurityChange(false); bDirty = true;">
    			<option value="wpa" <% nvram_match("cbEncryption", "aes", "selected"); %>>WPA PSK (AES)</option>
			<option value="wpa" <% nvram_match("cbEncryption", "tkip", "selected"); %>>WPA PSK (TKIP)</option>
			<option value="open" <% nvram_match("cbAuthEncrypt", "open", "selected"); %>>WEP open</option>
			<option value="shared" <% nvram_match("cbAuthEncrypt", "shared", "selected"); %>>WEP shared</option>
		    </select>
		</td>
	</tr>

	<!-- WEP -->
	<tr id="idKey1">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key 1', document.idForm.wl_key1.value)) return false; bDirty = true;">
	</tr>
	<!-- WPA -->
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass phrase:</label></td>
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; bDirty = true;">
	</tr>
	<tr id="idKeyRotation">
		<td valign="top"><label for="wl_wpa_gtk_rekey">Key rotation:</label></td>
		<td><input type="text" size="10" maxlength="10" id="wl_wpa_gtk_rekey" class="clsTextfield" name="wl_wpa_gtk_rekey" value="<% nvram_get("wl_wpa_gtk_rekey"); %>" onchange="bDirty = true;">
			<label>seconds</label><br/>
			<span class="clsNote">(To disable key rotation, set this value to zero.)</span></td>
	</tr>
</table>
</div>


<h3>Extend Network Farther</h3>

<p>This is sometimes referred to as &ldquo;WDS Restrictions.&rdquo;
If you plan to extend your network with more range extenders, select this check box
and add the MAC addresses of the range extenders that will connect to this one.
</p>

<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>

<p><input type="checkbox" name="chkWDSrestrict" id="chkWDSrestrict" onclick="setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked); bDirty = true;"> <label for="chkWDSrestrict">I will extend my network farther</label></p>

<div id="idWDSrestrict">

<div id="idTableWDS">
	<!-- Content is added by script -->
</div>

<span class="clsGroupBox">
			<label for="txtMACaddress">MAC address:</label>
			<br/>
			<input type="text" size="20" maxlength="17" name="txtMACaddress" id="txtMACaddress" class="clsTextfield" onchange="validateMAC(document.idForm.txtMACaddress.value); bDirty = true;">
			<input type="button" name="idBtnAddWDS" id="idBtnAddWDS" value="  Add  " class="clsSmall" onclick="tableAddRowWDS(0);">
</span>

<script type="text/javascript">
<!--
/* --------------------------------------------------------------------------
	
	WDS TABLE INFORMATION AND FUNCTIONS

*/

/*
	This class of object defines items specific to each table of values.
*/
var objTableWDS 	= new Object;
objTableWDS.strThis	= "objTableWDS";	// the text representation of this object's name
objTableWDS.aRows	= new Array;		// the array of the row arrays for the table


function tableInitializeWDS()
{
	/*
		Initialize the table object
	*/
	objTableWDS.eltTable		= document.getElementById("idTableWDS");	// id of table's DIV
	objTableWDS.eltBtnAdd		= document.getElementById("idBtnAddWDS");	// Add button
	objTableWDS.strVarNameNum	= "wl_wds";		// name of form field for # rows
	// names of each form field
	objTableWDS.aVarNamePrefixes	= new Array("wl_wds");
	objTableWDS.iMaxNumRows		= 16;				// max # of rows in table
	objTableWDS.fctFormatRow	= fctFormatRowText;		// function to format a row in HTML
	objTableWDS.aHeadings		= new Array(	// array of column headings for the table
							"MAC Address"
						);
	/*
		Load the values from the server, create the rows, and add them all.
	*/

	/*
		Get the data for each entry, add it to an array,
		and add the array to the table.
	*/
	var aRouterData = new Array(
					new Array("<% nvram_list("wl_wds", 0); %>"),
					new Array("<% nvram_list("wl_wds", 1); %>"),
					new Array("<% nvram_list("wl_wds", 2); %>"),
					new Array("<% nvram_list("wl_wds", 3); %>"),
					new Array("<% nvram_list("wl_wds", 4); %>"),
					new Array("<% nvram_list("wl_wds", 5); %>"),
					new Array("<% nvram_list("wl_wds", 6); %>"),
					new Array("<% nvram_list("wl_wds", 7); %>"),
					new Array("<% nvram_list("wl_wds", 8); %>"),
					new Array("<% nvram_list("wl_wds", 9); %>"),
					new Array("<% nvram_list("wl_wds", 10); %>"),
					new Array("<% nvram_list("wl_wds", 11); %>"),
					new Array("<% nvram_list("wl_wds", 12); %>"),
					new Array("<% nvram_list("wl_wds", 13); %>"),
					new Array("<% nvram_list("wl_wds", 14); %>"),
					new Array("<% nvram_list("wl_wds", 15); %>")
				);

	for (var row in aRouterData)
	{
		/* if the first column's value is empty, don't use it */
		if (aRouterData[row][0] == "")
			continue;

		objTableWDS.aRows.push(aRouterData[row]);
	}

	tableDisplay(objTableWDS);
}


/* Add the new data to the table. */
function tableAddRowWDS(x)
{
	
	/* Get the new entry's data from the HTML form and put it in a new array. */
	var aRowNew = new Array(document.idForm.txtMACaddress.value);
			
	if (!validateDataText(objTableWDS, aRowNew) || !validateMAC(aRowNew[0]))
	{
		document.idForm.txtMACaddress.focus();
		return;
	}

	// convert all separators to colons
	aRowNew[0] = normalizeMAC(aRowNew[0]);
	//if we set first position in the table (from sitesurvey or manual fields)
	if (x == 1)
		tableAddRow(objTableWDS, aRowNew, 1);
	//if we use the Add button from WDS restriction table
	if (x == 0)
	{	// if this MAC address is already in the table, don't add it but do clear the field
		if (!tableIsDuplicateRow(objTableWDS, aRowNew))
			tableAddRow(objTableWDS, aRowNew, 0);
	}
	/*
		Clear fields
	*/
	document.idForm.txtMACaddress.value = "";
}
//-->
</script>	
</div> 

<h3>Transmission</h3>

<p>These are advanced settings and most people won&rsquo;t need to modify them.
You can find information about these advanced features in the user manual on
the installation CD-ROM.</p>

<table border="0">
	<tr>
		<td><label>Power level:</label></td>
		<td>
			<select id="wl_power" name="wl_power" onchange="bDirty = true;">
				<option value="79" <% nvram_match("wl_power", "79", "selected"); %>>100%</option>
				<option value="40" <% nvram_match("wl_power", "40", "selected"); %>>50%</option>
				<option value="20" <% nvram_match("wl_power", "20", "selected"); %>>25%</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>54g mode:</label></td>
		<td>
			<select id="cbMode" name="wl_gmode" onchange="manageSupportedRates();" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_gmode", "1", "selected"); %>>Automatic</option>
				<option value="4" <% nvram_match("wl_gmode", "4", "selected"); %>>802.11g Performance</option>
				<option value="0" <% nvram_match("wl_gmode", "0", "selected"); %>>802.11b Only</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td colspan="2"><input type="checkbox" id="wl_gmode_protection" name="wl_gmode_protection" value="auto" <% nvram_match("wl_gmode_protection", "auto", "checked"); %> onclick="bDirty = true;"> <label for="wl_gmode_protection">Automatic 54g protection</label></td>
	</tr>
	<tr>
		<td><label>Supported rate:</label></td>
		<td>
			<select id="cbSupportedRate" name="wl_rate" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl_rate", "0", "selected"); %>>Auto</option>
				<option value="1000000" <% nvram_match("wl_rate", "1000000", "selected"); %>>1 Mbps</option>
				<option value="2000000" <% nvram_match("wl_rate", "2000000", "selected"); %>>2 Mbps</option>
				<option value="5500000" <% nvram_match("wl_rate", "5500000", "selected"); %>>5.5 Mbps</option>
				<option value="6000000" <% nvram_match("wl_rate", "6000000", "selected"); %>>6 Mbps</option>
				<option value="9000000" <% nvram_match("wl_rate", "9000000", "selected"); %>>9 Mbps</option>
				<option value="11000000" <% nvram_match("wl_rate", "11000000", "selected"); %>>11 Mbps</option>      
				<option value="12000000" <% nvram_match("wl_rate", "12000000", "selected"); %>>12 Mbps</option>
				<option value="18000000" <% nvram_match("wl_rate", "18000000", "selected"); %>>18 Mbps</option>
				<option value="24000000" <% nvram_match("wl_rate", "24000000", "selected"); %>>24 Mbps</option>
				<option value="36000000" <% nvram_match("wl_rate", "36000000", "selected"); %>>36 Mbps</option>
				<option value="48000000" <% nvram_match("wl_rate", "48000000", "selected"); %>>48 Mbps</option>
				<option value="54000000" <% nvram_match("wl_rate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Basic rate set:</label></td>
		<td>
			<select name="wl_rateset" onchange="bDirty = true;"> 
				<option value="default" <% nvram_match("wl_rateset", "default", "selected"); %>>Default</option>
				<option value="all" <% nvram_match("wl_rateset", "all", "selected"); %>>All</option>
				<option value="12" <% nvram_match("wl_rateset", "12", "selected"); %>>1 & 2 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Acceleration:</label></td>
		<td>
			<select name="cbAcceleration" onchange="changeAcceleration(); bDirty = true;">
				<option value="none" <% nvram_match("cbAcceleration", "none", "selected"); %>>None</option>
				<option value="frameburst" <% nvram_match("cbAcceleration", "frameburst", "selected"); %>>54g+ (XPress&trade;)</option>
				<option value="afterburner" <% nvram_match("cbAcceleration", "afterburner", "selected"); %>>MAXg (125 Mbps)</option>
			</select>
		</td>
	</tr>

	<tr>
		<td><label for="wl_bcn">Beacon interval:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_bcn" class="clsTextfield" name="wl_bcn" value="<% nvram_get("wl_bcn"); %>" onchange="bDirty = true;"> <label>ms</label> <span class="clsNote">(must be between 1 and 1000 ms)</span></td>
	</tr>
	
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	<tr><td colspan="2"><b>Note:</b> The following values must match the settings on
	the access point or wireless router the range extender is connecting to.</td></tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	
	<tr>
		<td><label for="wl_rts">RTS threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_rts" class="clsTextfield" name="wl_rts" value="<% nvram_get("wl_rts"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 0 and 2347)</span></td>
	</tr>
	<tr>
		<td><label for="wl_frag" id="lblFrag">Fragmentation threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_frag" class="clsTextfield" name="wl_frag" value="<% nvram_get("wl_frag"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2346, even numbers only)</span></td>
	</tr>
	<tr>
		<td><label for="wl_dtim">DTIM interval:</label></td>
		<td><input type="text" size="10" maxlength="3" id="wl_dtim" class="clsTextfield" name="wl_dtim" value="<% nvram_get("wl_dtim"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 1 and 255)</span></td>
	</tr>
	<tr>
		<td><label>Preamble:</label></td>
		<td>
			<select id="wl_plcphdr" name="wl_plcphdr">
				<option value="long" <% nvram_match("wl_plcphdr", "long", "selected"); %> onchange="bDirty = true;">Long</option>
				<option value="short" <% nvram_match("wl_plcphdr", "short", "selected"); %> onchange="bDirty = true;">Short</option>
			</select>
			
		 </td>
	</tr>
</table>

</div>


<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; 
if (!isPrintable('Key', document.idForm.wl_key1.value)) return false;
if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; checksettings1(); 
if (!validatePage()) return false; bDirty = false;"></p>

</form>

<script>
	writeCopyright();
</script>

</body>
</html>
